emerge fehler gtk+

Diskutiere emerge fehler gtk+ im Gentoo Forum im Bereich Linux Distributionen; eine grundlegende komponente für weitere installationen macht mir probleme bei updaten: ... illic-translit.la im-inuktitut.la im-ipa.la...

  1. #1 GendoIkari, 06.07.2008
    GendoIkari

    GendoIkari Routinier

    Dabei seit:
    04.12.2006
    Beiträge:
    336
    Zustimmungen:
    0
    Ort:
    Dort wo die Sonne aufgeht...
    eine grundlegende komponente für weitere installationen macht mir probleme bei updaten:
    Code:
    ...
    illic-translit.la im-inuktitut.la im-ipa.la im-thai.la im-ti-er.la im-ti-et.la im-viqr.la im-multipress.la  > gtk.immodules
    /var/tmp/portage/x11-libs/gtk+-2.12.10-r1/work/gtk+-2.12.10/gtk/.libs/lt-gtk-query-immodules-2.0: error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
    make[3]: *** [gtk.immodules] Error 127
    make[3]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/work/gtk+-2.12.10/modules/input'
    make[2]: *** [all-recursive] Error 1
    make[2]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/work/gtk+-2.12.10/modules'
    make[1]: *** [all-recursive] Error 1
    make[1]: Leaving directory `/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/work/gtk+-2.12.10'
    make: *** [all] Error 2
     *
     * ERROR: x11-libs/gtk+-2.12.10-r1 failed.
     * Call stack:
     *               ebuild.sh, line   49:  Called src_compile
     *             environment, line 2956:  Called die
     * The specific snippet of code:
     *       emake || die "compile failed"
     *  The die message:
     *   compile failed
     *
     * If you need support, post the topmost build error, and the call stack if relevant.
     * A complete build log is located at '/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/temp/build.log'.
     * The ebuild environment file is located at '/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/temp/environment'.
     *
    
     * Messages for package x11-libs/gtk+-2.12.10-r1:
    
     *
     * ERROR: x11-libs/gtk+-2.12.10-r1 failed.
     * Call stack:
     *               ebuild.sh, line   49:  Called src_compile
     *             environment, line 2956:  Called die
     * The specific snippet of code:
     *       emake || die "compile failed"
     *  The die message:
     *   compile failed
     *
     * If you need support, post the topmost build error, and the call stack if relevant.
     * A complete build log is located at '/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/temp/build.log'.
     * The ebuild environment file is located at '/var/tmp/portage/x11-libs/gtk+-2.12.10-r1/temp/environment'.
    
    ...
    error while loading shared libraries: libexpat.so.0: cannot open shared object file: No such file or directory
    ...
    das ist wohl das eigendliche problem, aber was da gegen machen?
     
  2. espo

    espo On the dark side

    Dabei seit:
    17.05.2003
    Beiträge:
    391
    Zustimmungen:
    0
    Ort:
    Stuttgart
    Ein versuch wäre es expat neu zu übersetzen. Is aber nur ein Schuss ins Blaue...

    greetings
     
  3. #3 Bloodsurfer, 06.07.2008
    Bloodsurfer

    Bloodsurfer Gentoo-User

    Dabei seit:
    15.10.2005
    Beiträge:
    243
    Zustimmungen:
    0
    Das ist kein Schuss ins Blaue, sondern genau richtig getippt - das ist der berühmte und berüchtigte Expat-Fehler ;)

    http://forums.gentoo.org/viewtopic-t-575655.html (die ersten zwei Postings lesen)
     
  4. #4 GendoIkari, 06.07.2008
    GendoIkari

    GendoIkari Routinier

    Dabei seit:
    04.12.2006
    Beiträge:
    336
    Zustimmungen:
    0
    Ort:
    Dort wo die Sonne aufgeht...
    Gut ,dass das jetzt auch geklärt is :D
    Lösung=
    Code:
    emerge fontconfig
    emerge pango
    emerge gtk+
    thx
     
  5. #5 Bloodsurfer, 07.07.2008
    Zuletzt bearbeitet: 07.07.2008
    Bloodsurfer

    Bloodsurfer Gentoo-User

    Dabei seit:
    15.10.2005
    Beiträge:
    243
    Zustimmungen:
    0
    Mach mal aus Prinzip noch wenigstens ein revdep-rebuild hinterher, bevor du später auf weitere Probleme stößt wenn du das hier wieder vergessen hast ;)

    EDIT: Argh, das sehe ich jetzt erst: Schau mal auf den dritten angepinnten Thread hier, der steht da schon ewig und wird übersehen :D
    http://www.unixboard.de/vb3/showthread.php?t=19008
     
  6. #6 GendoIkari, 07.07.2008
    GendoIkari

    GendoIkari Routinier

    Dabei seit:
    04.12.2006
    Beiträge:
    336
    Zustimmungen:
    0
    Ort:
    Dort wo die Sonne aufgeht...
    Zum glück hab ich amd 64bit ;)
     
Thema:

emerge fehler gtk+

Die Seite wird geladen...

emerge fehler gtk+ - Ähnliche Themen

  1. emerge --sync fehler

    emerge --sync fehler: He Leute ich habe folgenden Fehler wenn ich ein emerge --sync mache deleting x11-misc/i855crt/i855crt-0.4.ebuild deleting...
  2. Fehlermeldung bei emerge --update --deep world

    Fehlermeldung bei emerge --update --deep world: Wenn ich updaten will passiert Folgendes: emerge --update --deep world und irgendwann kommt dann das: * Could not find a usable .config in...
  3. emerge Fehler

    emerge Fehler: Also, ich bekomme einen Fehler beim ermergen von linuxwacom. Ich habe schon alles versucht es hinzubekommen, es hing als dep bei xorg-x11 mit...
  4. emerge alsa-utils -> Fehler!!!

    emerge alsa-utils -> Fehler!!!: Hi hab grad gentoo neu drauf gemacht und wolle alsa-utils emergen dann kommt folgendes: checking for initscr in -lgpm... no checking for...
  5. emerge nedit bringt ein fehler!

    emerge nedit bringt ein fehler!: Hallo ich bekomme beim versuch nedit zu emergen ein fehler und weiss nicht wieso, da mein englisch auch nicht das beste is :) hier die Ausgabe....